Public Class ToolChangerPosUC

   Friend Event ToolClick As RoutedEventHandler

   Private Sub Tool_Click(sender As Object, e As RoutedEventArgs) Handles Tool.Click
      e.Source = Me
      RaiseEvent ToolClick(sender, e)
   End Sub

End Class
